%define ffmpegversion 1.2.7

Name:		avidemux
Version:	2.6.6
%define subrel	1
Release:	%mkrel 2
Summary:	A free video editor
Source0:	http://downloads.sourceforge.net/%name/%{name}_%{version}.tar.gz
Source1:	http://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.bz2
Patch0:		avidemux-2.6.8-ffmpeg-version.patch
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		http://fixounet.free.fr/avidemux
BuildRequires:	sqlite3-devel
BuildRequires:	vdpau-devel
BuildRequires:	libxv-devel
BuildRequires:	SDL-devel
BuildRequires:	zlib-devel
BuildRequires:	cmake
BuildRequires:	yasm

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%define libname %mklibname %name
%package -n %libname
Summary: Shared libraries for %name

%description -n %libname
Shared libraries for %{name}.

%package devel
Summary: Header files for %{name}
Requires: %{libname} = %{version}
Requires: vdpau-devel

%description devel
Header files for %{name}.

%prep
%setup -qn %{name}_%{version}
rm -f avidemux_core/ffmpeg_package/ffmpeg-*.tar.bz2
cp %{SOURCE1} avidemux_core/ffmpeg_package/
%patch0 -p1

%build
cd avidemux_core
%cmake
make

%install
%makeinstall_std -C avidemux_core/build

%files -n %libname
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}


%changelog
* Thu Jul 03 2014 luigiwalser <luigiwalser> 2.6.6-2.1.mga4
+ Revision: 642816
- update bundled ffmpeg to 1.2.7 to fix several security issues

* Mon Oct 21 2013 umeabot <umeabot> 2.6.6-2.mga4.tainted
+ Revision: 538170
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 2.6.6-1.mga4
+ Revision: 488921
- new version 2.6.6

* Fri Aug 30 2013 fwang <fwang> 2.6.5-1.mga4
+ Revision: 473195
- new version 2.6.5

* Sat Aug 24 2013 fwang <fwang> 2.6.4-3.mga4
+ Revision: 471422
- br sdl

* Sat Aug 24 2013 fwang <fwang> 2.6.4-2.mga4
+ Revision: 471367
- there is hardcode include in vdpau.h

* Sat Aug 24 2013 fwang <fwang> 2.6.4-1.mga4
+ Revision: 471339
- update file list
- update file list
- br yasm
- about to split into different srpm
- br vdpau
- br sqlite3
- about to import 2.6.4

* Sat Aug 24 2013 luigiwalser <luigiwalser> 2.5.6-8.mga4.tainted
+ Revision: 470984
- rebuild for x264

* Mon Jun 17 2013 luigiwalser <luigiwalser> 2.5.6-7.mga4.tainted
+ Revision: 443898
- rebuild for x264

* Mon Jan 14 2013 tmb <tmb> 2.5.6-6.mga3.tainted
+ Revision: 387936
- fix group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 fwang <fwang> 2.5.6-4.mga3.tainted
+ Revision: 294219
- rebuild for new x264

* Sun Aug 05 2012 luigiwalser <luigiwalser> 2.5.6-3.mga3.tainted
+ Revision: 278543
- add patch from neoclust to fix cmake error
- add patches from ffmpeg git to fix CVE-2011-389[35] and CVE-2012-0947

* Tue Apr 03 2012 anssi <anssi> 2.5.6-2.mga2.tainted
+ Revision: 228236
- rebuild due to missing avidemux-qt in x86_64 tainted

* Fri Jan 13 2012 doktor5000 <doktor5000> 2.5.6-1.mga2.tainted
+ Revision: 195666
- don't use %%make, parallel make breaks build
- new version 2.5.6
- removed obsolete %%clean section and empty %%defattrs
- dropped new-x264.patch, already integrated upstream

* Tue Dec 13 2011 fwang <fwang> 2.5.5-2.mga2.tainted
+ Revision: 181276
- rebuild for new x264

  + ahmad <ahmad>
    - No need to specify the path to lrelease (that was a problem with my local chroot)

* Sat Jul 09 2011 ahmad <ahmad> 2.5.5-1.mga2.tainted
+ Revision: 121299
- Update to 2.5.5
- Specify the path to %%{qt4bin}/lrelease manually, otherwise the build fails
- Drop patch0,1, fixed upstream
- Rediff patch4 (x264)
- Extend the x264 patch to fix the build with x264 0.115 (Gentoo)
- Prepare the package for tainted build

* Wed Apr 27 2011 wally <wally> 2.5.4-5.mga1
+ Revision: 92131
- fix desktop file names (mga#954)
- drop buildroot definition

* Tue Feb 22 2011 ahmad <ahmad> 2.5.4-4.mga1
+ Revision: 55875
- drop esound-devel (phasing out esound from the distro)

  + anssi <anssi>
    - remove old macros
    - imported package avidemux

